import { EventEmitter } from '../../../../stencil-public-runtime';
import { FormController } from '../../../../ui-components/form/form';
import { ComponentErrorEvent, ComponentFormStepCompleteEvent } from '../../../../api/ComponentEvents';
export declare class BusinessTermsConditionsFormStep {
    formController: FormController;
    errors: any;
    acceptedTermsBefore: boolean;
    acceptedTerms: boolean;
    authToken: string;
    businessId: string;
    allowOptionalFields?: boolean;
    stepCompleteEvent: EventEmitter<ComponentFormStepCompleteEvent>;
    errorEvent: EventEmitter<ComponentErrorEvent>;
    formLoading: EventEmitter<boolean>;
    formCompleted: EventEmitter<any>;
    private api;
    get businessEndpoint(): string;
    get termsConditionsEndpoint(): string;
    get formHelperText(): string;
    get termsPayload(): {
        business_id: string;
        accepted: any;
        user_agent: string;
    };
    componentWillLoad(): Promise<void>;
    private fetchData;
    private sendData;
    handleResponse(response: any, onSuccess: any): void;
    validateAndSubmit({ onSuccess }: {
        onSuccess: any;
    }): Promise<void>;
    componentDidLoad(): void;
    inputHandler: (name: string, value: boolean) => void;
    get merchantAgreementLink(): any;
    render(): any;
}
